nsd-catalog:
    nsd:
    -   id: hackfest_vyos-ns
        name: hackfest_vyos-ns
        short-name: hackfest_vyos-ns
        description: Simple NS with a single VyOS Router VNF
        version: '1.0'
        logo: osm.png
        constituent-vnfd:
        -   vnfd-id-ref: hackfest_vyos-vnf
            member-vnf-index: '1'      
        vld:
        -   id: mgmtnet
            name: mgmtnet
            short-name: mgmtnet
            type: ELAN
            mgmt-network: true
            vim-network-name: osm-ext
            vnfd-connection-point-ref:
            -   vnfd-id-ref: hackfest_vyos-vnf
                member-vnf-index-ref: '1'
                vnfd-connection-point-ref: vnf-mgmt
                ip-address: 172.21.250.200
        -   id: internal
            name: internal
            short-name: internal
            type: ELAN
            mgmt-network: true
            vnfd-connection-point-ref:
            -   vnfd-id-ref: hackfest_vyos-vnf
                member-vnf-index-ref: '1'
                vnfd-connection-point-ref: vnf-internal               
        -   id: external
            name: external
            short-name: external
            type: ELAN
            mgmt-network: true
            vnfd-connection-point-ref:
            -   vnfd-id-ref: hackfest_vyos-vnf
                member-vnf-index-ref: '1'
                vnfd-connection-point-ref: vnf-external
